Summary:Ncurses based UP traffic monitoring
Name: trafshow
Version: 1.3
Release: 5
Source: ftp://sunsite.unc.edu/pub/Linux/system/network/management/trafshow-1.3.tar.gz
Patch: trafshow-1.3-glibc.patch
Patch1: trafshow-1.3-config.patch
Patch2: trafshow.wmconfig.patch
Copyright: distributable
Group: Utilities/Network
BuildRoot: /tmp/trafshow-root
ExclusiveArch: i386

%changelog

* Sun Jun  7 1998 Alexey Nogin <ayn2@cornell.edu>

- wmconfig should be %config'ed

* Sun May  3 1998 Alexey Nogin <ayn2@cornell.edu>

- added BuildRoot directive
- added man page to binary RPM
- added trafshow wmconfig file

* Fri Dec  5 1997 Otto Hammersmith <otto@redhat.com>

- made exclusive to i386 -- there is asm code in there

* Tue Nov 18 1997 Otto Hammersmith <otto@redhat.com>

- added changelog
- fixed src url
- updated version

#
# Uses some i386 asm to do fast ip csum's, could be changed to be
# arch independent
#
ExclusiveArch: i386

%description
Ncurses based UP traffic monitoring

%prep
%setup
%patch -p1
%patch1 -p1
%patch2

%build
make clean
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{usr/{bin,man/man1},etc/X11/wmconfig}
install -o root -g root -s -m 4711 trafshow $RPM_BUILD_ROOT/usr/bin
install -o root -g root -m 644 trafshow.1 $RPM_BUILD_ROOT/usr/man/man1
install -o root -g root -m 644 trafshow.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/trafshow

%files
%doc COPYING TODO
/usr/bin/trafshow
/usr/man/man1/trafshow.1
%config /etc/X11/wmconfig/trafshow
